org.bdgenomics.adam.cli

# TransformArgs

#### class TransformArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, ADAMSaveArgs, ADAMParquetArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TransformArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. ADAMSaveArgs
5. ADAMParquetArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformArgs()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ADAMParquetArgs

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var coalesce: Int

10. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ADAMParquetArgs

11. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ADAMParquetArgs

12. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### var inputPath: String

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### var knownIndelsFile: String

21. #### var knownSnpsFile: String

22. #### var locallyRealign: Boolean

23. #### var lodThreshold: Double

24. #### var logLevel: String

    Definition Classes
      ParquetArgs

25. #### var markDuplicates: Boolean

26. #### var maxConsensusNumber: Int

27. #### var maxIndelSize: Int

28. #### var maxTargetSize: Int

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### var observationsPath: String

33. #### var outputPath: String

    Definition Classes
      TransformArgs → ADAMSaveArgs

34. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ADAMParquetArgs

35. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

36. #### var qualityBasedTrim: Boolean

37. #### var qualityThreshold: Int

38. #### var recalibrateBaseQualities: Boolean

39. #### var repartition: Int

40. #### var sortFastqOutput: Boolean

    Definition Classes
      TransformArgs → ADAMSaveAnyArgs

41. #### var sortReads: Boolean

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Definition Classes
      AnyRef → Any

44. #### var trimBeforeBQSR: Boolean

45. #### var trimEnd: Int

46. #### var trimReadGroup: String

47. #### var trimReads: Boolean

48. #### var trimStart: Int

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from ADAMSaveArgs

### Inherited from ADAMParquetArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped